NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::SheetMetal::ClosedCornerBuilder Class Reference

Represents a Closed corner feature builder. More...

Inheritance diagram for NXOpen::Features::SheetMetal::ClosedCornerBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  ClosureTypeOptions { ClosureTypeOptionsClose, ClosureTypeOptionsOverlap }
 This enum represents Corner Closure type. More...
 
enum  OriginTypes { OriginTypesBendCenter, OriginTypesCornerPoint }
 This enum represents Origin type. More...
 
enum  TreatmentTypeOptions {
  TreatmentTypeOptionsOpen, TreatmentTypeOptionsClosed, TreatmentTypeOptionsCircularCutout, TreatmentTypeOptionsUCutout,
  TreatmentTypeOptionsVCutout, TreatmentTypeOptionsRectangularCutout
}
 This enum represents Corner treatment type. More...
 
enum  Types { TypesCloseAndRelief, TypesRelief }
 This enum represents the feature types. More...
 

Public Member Functions

void AddFacePair (NXOpen::Face *firstFace, NXOpen::Face *secondFace)
 Add a face pair. More...
 
bool BlendMiter ()
 Returns the option for smooth transition from miter to cutout edges. More...
 
NXOpen::Features::SheetMetal::ClosedCornerBuilder::ClosureTypeOptions ClosureType ()
 Returns the closure type
Created in NX5.0.0. More...
 
NXOpen::ExpressionDiameter ()
 Returns the diameter. More...
 
NXOpen::ExpressionGap ()
 Returns the gap. More...
 
void GetFacePair (int index, NXOpen::Face **firstFace, NXOpen::Face **secondFace)
 Return the face pair. More...
 
int GetNumberOfFacePairs ()
 Returns the number of face pairs already identified for the three bend corner feature. More...
 
bool MiterCorner ()
 Returns the corner will be closed using the miter algorithm. More...
 
NXOpen::ExpressionOffset ()
 Returns the value by which relief origin will be offset
Created in NX6.0.0. More...
 
NXOpen::Features::SheetMetal::ClosedCornerBuilder::OriginTypes Origin ()
 Returns the default origin will be at the corner point instead of the intersection of bend centerlines. More...
 
NXOpen::ExpressionOverlap ()
 Returns the overlap. More...
 
NXOpen::ExpressionRectangularLength ()
 Returns the length of rectangular relief. More...
 
NXOpen::ExpressionRectangularWidth ()
 Returns the width of rectangular relief. More...
 
void RemoveFacePair (NXOpen::Face *firstFace, NXOpen::Face *secondFace)
 Removes a face pair (that represents a unique corner) from the list of face pairs already added. More...
 
void SetBlendMiter (bool blendMiter)
 Sets the option for smooth transition from miter to cutout edges. More...
 
void SetClosureType (NXOpen::Features::SheetMetal::ClosedCornerBuilder::ClosureTypeOptions closureType)
 Sets the closure type
Created in NX5.0.0. More...
 
void SetMiterCorner (bool miterCorner)
 Sets the corner will be closed using the miter algorithm. More...
 
void SetOrigin (NXOpen::Features::SheetMetal::ClosedCornerBuilder::OriginTypes originType)
 Sets the default origin will be at the corner point instead of the intersection of bend centerlines. More...
 
void SetTreatmentType (NXOpen::Features::SheetMetal::ClosedCornerBuilder::TreatmentTypeOptions treatmentType)
 Sets the treatment type
Created in NX5.0.0. More...
 
void SetType (NXOpen::Features::SheetMetal::ClosedCornerBuilder::Types type)
 Sets the feature type
Created in NX6.0.0. More...
 
NXOpen::Features::SheetMetal::ClosedCornerBuilder::TreatmentTypeOptions TreatmentType ()
 Returns the treatment type
Created in NX5.0.0. More...
 
NXOpen::Features::SheetMetal::ClosedCornerBuilder::Types Type ()
 Returns the feature type
Created in NX6.0.0. More...
 
int ValidateBuilderData ()
 Validates the builder data. More...
 
NXOpen::ExpressionVAngle1 ()
 Returns the angle1 of V relief. More...
 
NXOpen::ExpressionVAngle2 ()
 Returns the angle2 of V relief. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Closed corner feature builder.


To create a new instance of this class, use NXOpen::Features::SheetMetal::SheetmetalManager::CreateClosedCornerFeatureBuilder

Created in NX5.0.0.

Member Enumeration Documentation

This enum represents Corner Closure type.

Enumerator
ClosureTypeOptionsClose 

close

ClosureTypeOptionsOverlap 

overlap

This enum represents Origin type.

Enumerator
OriginTypesBendCenter 

The relief origin will be at the intersection of first bend's centerline and bisector of corrner angle.

OriginTypesCornerPoint 

The relief origin will be at the corner point.

This enum represents Corner treatment type.

Enumerator
TreatmentTypeOptionsOpen 

Only Webs will be closed.

TreatmentTypeOptionsClosed 

Bend and Webs will be closed.

TreatmentTypeOptionsCircularCutout 

Circular shaped relief.

TreatmentTypeOptionsUCutout 

U shaped relief.

TreatmentTypeOptionsVCutout 

V shaped relief.

TreatmentTypeOptionsRectangularCutout 

Rectangular shaped relief.

This enum represents the feature types.

Enumerator
TypesCloseAndRelief 

close and relief

TypesRelief 

relief

Member Function Documentation

void NXOpen::Features::SheetMetal::ClosedCornerBuilder::AddFacePair ( NXOpen::Face firstFace,
NXOpen::Face secondFace 
)

Add a face pair.


Created in NX5.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
firstFaceA bend face from a bend
secondFaceA bend face from an adjacent bend
bool NXOpen::Features::SheetMetal::ClosedCornerBuilder::BlendMiter ( )

Returns the option for smooth transition from miter to cutout edges.


Created in NX8.5.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Features::SheetMetal::ClosedCornerBuilder::ClosureTypeOptions NXOpen::Features::SheetMetal::ClosedCornerBuilder::ClosureType ( )

Returns the closure type
Created in NX5.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Expression* NXOpen::Features::SheetMetal::ClosedCornerBuilder::Diameter ( )

Returns the diameter.


Created in NX6.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Expression* NXOpen::Features::SheetMetal::ClosedCornerBuilder::Gap ( )

Returns the gap.


Created in NX6.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

void NXOpen::Features::SheetMetal::ClosedCornerBuilder::GetFacePair ( int  index,
NXOpen::Face **  firstFace,
NXOpen::Face **  secondFace 
)

Return the face pair.


Created in NX5.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
indexIndex of the desired face pair
firstFaceFirst face of the face pair
secondFaceSecond face of the face pair
int NXOpen::Features::SheetMetal::ClosedCornerBuilder::GetNumberOfFacePairs ( )

Returns the number of face pairs already identified for the three bend corner feature.

Returns
The number of face pairs currently identified
Created in NX5.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
bool NXOpen::Features::SheetMetal::ClosedCornerBuilder::MiterCorner ( )

Returns the corner will be closed using the miter algorithm.


Created in NX7.5.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Expression* NXOpen::Features::SheetMetal::ClosedCornerBuilder::Offset ( )

Returns the value by which relief origin will be offset
Created in NX6.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Features::SheetMetal::ClosedCornerBuilder::OriginTypes NXOpen::Features::SheetMetal::ClosedCornerBuilder::Origin ( )

Returns the default origin will be at the corner point instead of the intersection of bend centerlines.


Created in NX6.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Expression* NXOpen::Features::SheetMetal::ClosedCornerBuilder::Overlap ( )

Returns the overlap.


Created in NX6.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Expression* NXOpen::Features::SheetMetal::ClosedCornerBuilder::RectangularLength ( )

Returns the length of rectangular relief.

The length is associated to the first bend selected.
Created in NX6.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Expression* NXOpen::Features::SheetMetal::ClosedCornerBuilder::RectangularWidth ( )

Returns the width of rectangular relief.

The width is associated to the second bend selected.
Created in NX6.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

void NXOpen::Features::SheetMetal::ClosedCornerBuilder::RemoveFacePair ( NXOpen::Face firstFace,
NXOpen::Face secondFace 
)

Removes a face pair (that represents a unique corner) from the list of face pairs already added.


Created in NX5.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
firstFaceA face from an already selected face pair
secondFaceThe other face from the face pair
void NXOpen::Features::SheetMetal::ClosedCornerBuilder::SetBlendMiter ( bool  blendMiter)

Sets the option for smooth transition from miter to cutout edges.


Created in NX8.5.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
blendMiterblendmiter
void NXOpen::Features::SheetMetal::ClosedCornerBuilder::SetClosureType ( NXOpen::Features::SheetMetal::ClosedCornerBuilder::ClosureTypeOptions  closureType)

Sets the closure type
Created in NX5.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
closureTypeThe type of closure specified for the corner
void NXOpen::Features::SheetMetal::ClosedCornerBuilder::SetMiterCorner ( bool  miterCorner)

Sets the corner will be closed using the miter algorithm.


Created in NX7.5.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
miterCornermitercorner
void NXOpen::Features::SheetMetal::ClosedCornerBuilder::SetOrigin ( NXOpen::Features::SheetMetal::ClosedCornerBuilder::OriginTypes  originType)

Sets the default origin will be at the corner point instead of the intersection of bend centerlines.


Created in NX6.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
originTypeThe default location of relief origin
void NXOpen::Features::SheetMetal::ClosedCornerBuilder::SetTreatmentType ( NXOpen::Features::SheetMetal::ClosedCornerBuilder::TreatmentTypeOptions  treatmentType)

Sets the treatment type
Created in NX5.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
treatmentTypeThe type of treatment specified for the corner
void NXOpen::Features::SheetMetal::ClosedCornerBuilder::SetType ( NXOpen::Features::SheetMetal::ClosedCornerBuilder::Types  type)

Sets the feature type
Created in NX6.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
typetype
NXOpen::Features::SheetMetal::ClosedCornerBuilder::TreatmentTypeOptions NXOpen::Features::SheetMetal::ClosedCornerBuilder::TreatmentType ( )

Returns the treatment type
Created in NX5.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Features::SheetMetal::ClosedCornerBuilder::Types NXOpen::Features::SheetMetal::ClosedCornerBuilder::Type ( )

Returns the feature type
Created in NX6.0.0.



License requirements : None

int NXOpen::Features::SheetMetal::ClosedCornerBuilder::ValidateBuilderData ( )

Validates the builder data.

Returns
Returns 0 if the data in the builder is valid
Created in NX5.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Expression* NXOpen::Features::SheetMetal::ClosedCornerBuilder::VAngle1 ( )

Returns the angle1 of V relief.

This is the angle associated with the first bend selected.
Created in NX6.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Expression* NXOpen::Features::SheetMetal::ClosedCornerBuilder::VAngle2 ( )

Returns the angle2 of V relief.

This is the angle associated to the second bend selected.
Created in NX6.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.